// Alle Klassen und Exceptions fuer Dateioperationen liegen in diesem Paket
import java.io.*;

public class DateiLesen{
	public static void main(String[] args){
		// Pruefen ob ein Dateiname angegeben wurde
		if(args.length!=1){
			System.out.println("Usage: "+DateiLesen.class.getName()+" <Dateiname>");
			return;
		}
		// Try-Catch-Block um moegliche Fehler abzufangen
		try{
			// Kann eine FileNotFoundException werfen (s. Java API)
			FileReader fr = new FileReader(args[0]);
			BufferedReader br = new BufferedReader(fr);

			String str;			
			
			// Datei zeilenweise auslesen und auf die Konsole schreiben
			// Hier kann bei readLine() eine IOException auftreten (s. Java API)
			while((str=br.readLine())!=null){
				System.out.println(str);
			}
			
		}catch(FileNotFoundException e){
			System.out.println("Datei ("+args[0]+") nicht gefunden!");
		}catch(IOException ie){
			System.out.println("Datei ("+args[0]+") kann nicht gelesen werden!");
		}
	}
}
